> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thepublive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Category

> <Warning>This action cannot be undone. Posts using this category will need to be reassigned.</Warning>



## OpenAPI

````yaml /openapi/content-management.json delete /publisher/{publisher_id}/category/{id}/
openapi: 3.1.0
info:
  title: Publive Content Management API
  version: 1.0.0
  description: >-
    Read/write API for managing publisher content: categories, tags, posts, live
    blogs, media, custom content types, custom components, forms, reader
    accounts, and newsletter subscriptions.
servers:
  - url: https://cms.thepublive.com
security:
  - basicAuth: []
tags:
  - name: Categories
  - name: Tags
  - name: Posts
  - name: Live Blogs
  - name: Media Library
  - name: Custom Content Types
  - name: Custom Components
  - name: Forms
  - name: Reader
  - name: Newsletter
paths:
  /publisher/{publisher_id}/category/{id}/:
    delete:
      tags:
        - Categories
      summary: Delete Category
      description: >-
        <Warning>This action cannot be undone. Posts using this category will
        need to be reassigned.</Warning>
      operationId: deleteCategory
      parameters:
        - $ref: '#/components/parameters/PublisherId'
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Deleted
          content:
            application/json:
              example:
                status: success
                message: Deleted successfully!
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PublisherId:
      name: publisher_id
      in: path
      required: true
      schema:
        type: string
      description: Your Publisher ID
    Id:
      name: id
      in: path
      required: true
      schema:
        type: integer
  responses:
    Unauthorized:
      description: Invalid or missing credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDetail'
          example:
            detail: Invalid Auth Credentials
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDetail'
  schemas:
    ErrorDetail:
      type: object
      properties:
        detail:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: HTTP Basic Auth using your Publive API key pair, base64-encoded.

````